/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ************************ ***********************************************************************************************
 *
 * $Id: TaxonMainFactSheetAndroidController.java,v 222811646ade 2010/07/15 23:23:37 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.main;

import android.app.Activity;
import javax.annotation.Nonnull;
import it.tidalwave.bluebill.taxonomy.Taxon;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.NodesAdapter;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.TaxonFactSheetAndroidController;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.TaxonFactSheetUI;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.main.TaxonMainFactSheetController;
import android.widget.BaseAdapter;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.FactSheetProvider;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class TaxonMainFactSheetAndroidController extends TaxonMainFactSheetController
                                                 implements TaxonFactSheetAndroidController<TaxonFactSheetUI>
  {
    public TaxonMainFactSheetAndroidController (final @Nonnull TaxonFactSheetUI ui, 
                                                final @Nonnull Taxon taxon,
                                                final @Nonnull FactSheetProvider factSheetProvider)
      {
        super(ui, taxon, factSheetProvider);
      }

    @Nonnull
    public BaseAdapter getListAdapter()
      {
        return new NodesAdapter(((Activity)ui), nodes);
      }
  }
